unit fuAQBEditConnection;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons, ADODB;

type
  TfmAQBEditConnection = class(TForm)
    bOK: TBitBtn;
    bCancel: TBitBtn;
    bEdit: TBitBtn;
    lbName: TLabel;
    lbString: TLabel;
    editName: TEdit;
    memoString: TMemo;
    Bevel: TBevel;
    procedure editNameChange(Sender: TObject);
    procedure bEditClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmAQBEditConnection: TfmAQBEditConnection;

implementation

{$R *.dfm}

procedure TfmAQBEditConnection.editNameChange(Sender: TObject);
begin
	bOK.Enabled := (Trim(editName.Text) > '') and
						(Trim(memoString.Text) > '');
end;

procedure TfmAQBEditConnection.bEditClick(Sender: TObject);
var
	ConnectionString: String;
begin
	ConnectionString := PromptDataSource(0, memoString.Text);
	if ConnectionString > ''
	   then memoString.Text := ConnectionString;
end;

end.
